#Settings

CA
DefaultDir
R
s

Keys
r
_Settings_Keys

Path
r
s

Count
r
i

'Return the number of entries in the settings file
FromString
M
v
(Value)s
'Return a value from its settings internal string representation
_new
m

[(Path)s(Title)s]
_free
m


Save
m


Exist
m
b
(Key)s
'Return if the specified settings key has a value
ToString
M
s
(Value)v
'Convert a value into its settings internal string representation
_get
m
v
(Key)s[(Default)v]
_put
m

(Value)v(Key)s
Clear
m

[(ParentKey)s(Recursive)b]
Read
m

(hObject)o[(sKey)s(vDefault)v]
Write
m

(hObject)o[(sKey)s]
Reload
m


#_Settings_Keys

CA
'This virtual class allows to enumerate all top-level keys of a settings file, or all keys under a specific slot.
Count
r
i

'Return the number of keys of the current parent slot, or the number of top-level slots.
All
r
String[]

'Return all keys of the current parent slot, or all top-level keys, as a string array.
_Slot
v
Collection

_Parent
v
s

_get
m
_Settings_Keys
(Parent)s
'Return a virtual object used for enumerating all keys under the given ~Parent~ key of the setting file.
_next
m
s

'Enumerate the keys of the current parent slot, or the settings files top-level slots.
Exist
m
b
(Key)s
'Return if the current parent slot has the specific key, or if there is a top-level slot with that key.
